Package org.eclipse.mat.snapshot.query

# Class RetainedSizeDerivedData

java.lang.Object
org.eclipse.mat.query.ContextDerivedData
org.eclipse.mat.snapshot.query.RetainedSizeDerivedData

public class RetainedSizeDerivedData extends ContextDerivedData
Extract retained size information. Used for quantization.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.mat.query.ContextDerivedData

`ContextDerivedData.DerivedCalculator, ContextDerivedData.DerivedColumn, ContextDerivedData.DerivedOperation`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ContextDerivedData.DerivedOperation`
`APPROXIMATE`
Indicates approximate retained size.
`static final ContextDerivedData.DerivedOperation`
`PRECISE`
Indicates exact retained size.

## Constructor Summary

Constructors
Constructor
Description
`RetainedSizeDerivedData(ISnapshot snaphot)`
Initial constructor.

## Method Summary

Modifier and Type
Method
Description
`Column`
`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column for the retained size with the right calculator.
`ContextDerivedData.DerivedColumn[]`
`getDerivedColumns()`
Get the extra column with the retained size data.
`String`
`labelFor(ContextDerivedData.DerivedColumn derivedColumn, ContextProvider provider)`
Get the label for the extra column.

### Methods inherited from class org.eclipse.mat.query.ContextDerivedData

`lookup`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### APPROXIMATE

public static final ContextDerivedData.DerivedOperation APPROXIMATE
Indicates approximate retained size. Sum of retained sizes of each object.

### PRECISE

public static final ContextDerivedData.DerivedOperation PRECISE
Indicates exact retained size. Shallow size of retained set of the objects.

## Constructor Details

### RetainedSizeDerivedData

public RetainedSizeDerivedData(ISnapshot snaphot)
Initial constructor.

Parameters:
  `snaphot` -

## Method Details

### getDerivedColumns

public ContextDerivedData.DerivedColumn[] getDerivedColumns()
Get the extra column with the retained size data.

Specified by:
  `getDerivedColumns` in class `ContextDerivedData`
Returns:
  an array of columns

### labelFor

public String labelFor(ContextDerivedData.DerivedColumn derivedColumn, ContextProvider provider)
Get the label for the extra column. Based on the column name plus information from the provider as to name of the set of objects.

Specified by:
  `labelFor` in class `ContextDerivedData`
Parameters:
  `derivedColumn` - the extra column
  `provider` - how the column was generated
Returns:
  the label

### columnFor

public Column columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)
Get a column for the retained size with the right calculator.

Specified by:
  `columnFor` in class `ContextDerivedData`
Parameters:
  `derivedColumn` - the extra column
  `result` - the original result to be enhanced
  `provider` - the provider of all the data
Returns:
  the column